curl -X POST https://app.drime.cloud/api/v1/file-entries/123456/shareable-link \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"password": "secret123",
"expires_at": "2024-03-01T00:00:00.000000Z",
"allow_download": true,
"allow_edit": false
}'
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/123456/shareable-link', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
allow_download: true,
allow_edit: false
})
});
const { link } = await response.json();
const shareUrl = `https://app.drime.cloud/drive/shares/${link.hash}`;
console.log('Share URL:', shareUrl);
import requests
from datetime import datetime, timedelta
# Create link expiring in 7 days
expires = (datetime.now() + timedelta(days=7)).isoformat()
response = requests.post(
'https://app.drime.cloud/api/v1/file-entries/123456/shareable-link',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'expires_at': expires,
'allow_download': True,
'allow_edit': False
}
)
link = response.json()['link']
print(f"Share URL: https://app.drime.cloud/drive/shares/{link['hash']}")
{
"status": "success",
"link": {
"id": 789,
"hash": "3h8N1nxZq7WtyRmXDIosFupSl9MCrD",
"user_id": 15843,
"entry_id": 123456,
"password": "$2y$10$BI8kz6zFeB0CA...",
"expires_at": "2024-03-01T00:00:00.000000Z",
"allow_edit": false,
"allow_download": true
}
}
Shareable Links
Create Shareable Link
Create a shareable link for an entry
POST
/
file-entries
/
{entryId}
/
shareable-link
curl -X POST https://app.drime.cloud/api/v1/file-entries/123456/shareable-link \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"password": "secret123",
"expires_at": "2024-03-01T00:00:00.000000Z",
"allow_download": true,
"allow_edit": false
}'
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/123456/shareable-link', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
allow_download: true,
allow_edit: false
})
});
const { link } = await response.json();
const shareUrl = `https://app.drime.cloud/drive/shares/${link.hash}`;
console.log('Share URL:', shareUrl);
import requests
from datetime import datetime, timedelta
# Create link expiring in 7 days
expires = (datetime.now() + timedelta(days=7)).isoformat()
response = requests.post(
'https://app.drime.cloud/api/v1/file-entries/123456/shareable-link',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'expires_at': expires,
'allow_download': True,
'allow_edit': False
}
)
link = response.json()['link']
print(f"Share URL: https://app.drime.cloud/drive/shares/{link['hash']}")
{
"status": "success",
"link": {
"id": 789,
"hash": "3h8N1nxZq7WtyRmXDIosFupSl9MCrD",
"user_id": 15843,
"entry_id": 123456,
"password": "$2y$10$BI8kz6zFeB0CA...",
"expires_at": "2024-03-01T00:00:00.000000Z",
"allow_edit": false,
"allow_download": true
}
}
Overview
Creates a new shareable link for a file or folder. Anyone with the link can access the file based on the permissions you set.Path Parameters
integer
required
ID or hash of the file entry
Request Body
string
Optional password protection
string
Optional expiration date (ISO 8601 format)
boolean
default:"false"
Allow editing via the link
boolean
default:"false"
Allow downloading via the link
Response
object
The created shareable link object
string
Request status (
success)curl -X POST https://app.drime.cloud/api/v1/file-entries/123456/shareable-link \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"password": "secret123",
"expires_at": "2024-03-01T00:00:00.000000Z",
"allow_download": true,
"allow_edit": false
}'
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/123456/shareable-link', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
allow_download: true,
allow_edit: false
})
});
const { link } = await response.json();
const shareUrl = `https://app.drime.cloud/drive/shares/${link.hash}`;
console.log('Share URL:', shareUrl);
import requests
from datetime import datetime, timedelta
# Create link expiring in 7 days
expires = (datetime.now() + timedelta(days=7)).isoformat()
response = requests.post(
'https://app.drime.cloud/api/v1/file-entries/123456/shareable-link',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'expires_at': expires,
'allow_download': True,
'allow_edit': False
}
)
link = response.json()['link']
print(f"Share URL: https://app.drime.cloud/drive/shares/{link['hash']}")
{
"status": "success",
"link": {
"id": 789,
"hash": "3h8N1nxZq7WtyRmXDIosFupSl9MCrD",
"user_id": 15843,
"entry_id": 123456,
"password": "$2y$10$BI8kz6zFeB0CA...",
"expires_at": "2024-03-01T00:00:00.000000Z",
"allow_edit": false,
"allow_download": true
}
}
The share URL format is:
https://app.drime.cloud/drive/shares/{hash}⌘I

